
import 'dart:async';

import 'package:flutter/services.dart';

class FlutterPrinter {
  static const MethodChannel _channel = MethodChannel('flutter_printer');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<bool> print(String text) async {
    final bool success = await _channel.invokeMethod('print',{"text":text});
    return success;
  }
}
